Summary:	LibThai - Thai language support routines
Summary(pl.UTF-8):	LibThai - biblioteka wspomagająca obsługę języka tajskiego
Name:		libthai
Version:	0.1.18
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://linux.thai.net/pub/thailinux/software/libthai/%{name}-%{version}.tar.gz
# Source0-md5:	0250fc5255c1e62b23f88c2d6b1d6262
URL:		http://linux.thai.net/projects/libthai
BuildRequires:	doxygen
BuildRequires:	libdatrie-devel >= 0.2
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their
applications. It includes important Thai-specific functions e.g. word
breaking, input and output methods as well as basic character and
string supports. LibThai is an Open Source and collaborative effort
initiated by Thai Linux Working Group and opened for all contributors.

%description -l pl.UTF-8
LibThai to zbiór funkcji wspomagających obsługę języka tajskiego,
mających ułatwić programistom wprowadzanie obsługi języka tajskiego w
swoich aplikacjach. Zawiera istotne funkcje specyficzne dla języka
tajskiego, takie jak łamanie słów, metody wejścia i wyjścia, a także
podstawową obsługę znaków i łańcuchów. LibThai ma otwarte źródła i
jest wspólną pracą zapoczątkowaną przez Thai Linux Working Group,
otwartą na każdą współpracę.

%package devel
Summary:	Header files for LibThai library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibThai
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdatrie-devel

%description devel
Header files for LibThai library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LibThai.

%package static
Summary:	Static LibThai library
Summary(pl.UTF-8):	Statyczna biblioteka LibThai
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibThai library.

%description static -l pl.UTF-8
Statyczna biblioteka LibThai.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libthai

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libthai.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libthai.so.0
%{_datadir}/libthai

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libthai.so
%{_libdir}/libthai.la
%{_includedir}/thai
%{_pkgconfigdir}/libthai.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libthai.a
%changelog
* Wed Jun 13 2012 Jakub Bogusz <qboosh@pld-linux.org> c470ef8
- updated to 0.1.18

* Thu Feb 23 2012 Jakub Bogusz <qboosh@pld-linux.org> d390e2e
- updated to 0.1.17

* Sat Nov 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 1368ac5
- updated to 0.1.16

* Fri Mar 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 67fd691
- updated to 0.1.15

* Mon Mar 15 2010 Jakub Bogusz <qboosh@pld-linux.org> e545b63
- updated to 0.1.14

* Mon Jan 25 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 0cd82fd
- updated to 0.1.13

* Wed Jul 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> b730b20
- updated to 0.1.12

* Sat May 16 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 6cc0de7
- updated to 0.1.11

* Mon Mar 30 2009 Jakub Bogusz <qboosh@pld-linux.org> ae08922
- updated to 0.1.10

* Mon Sep 03 2007 Jakub Bogusz <qboosh@pld-linux.org> bca34fe
- updated to 0.1.9

* Sun Aug 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 6863fe4
- new

